Bug 300151 - repoview traceback when trying to run as part of rawhide compose
Summary: repoview traceback when trying to run as part of rawhide compose
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: repoview
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Konstantin Ryabitsev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F8Target
TreeView+ depends on / blocked
 
Reported: 2007-09-21 12:08 UTC by Jesse Keating
Modified: 2013-01-10 02:39 UTC (History)
4 users (show)

Fixed In Version: 0.6.2-1.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-19 03:15:45 UTC


Attachments (Terms of Use)
primary.sqlite.bz2 for my mirror of the Livna F8/i386 repo (186.20 KB, application/x-bzip)
2008-01-11 17:43 UTC, Joe Christy
no flags Details
other.sqlite.bz2 for my mirror of the Livna F8/i386 repo (485.47 KB, application/x-bzip)
2008-01-11 17:45 UTC, Joe Christy
no flags Details

Description Jesse Keating 2007-09-21 12:08:49 UTC
We've recently enabled repoview as part of the rawhide compose.  Unfortunately
it promptly tracebacked and killed the compose :/

Traceback (most recent call last):
  File "/usr/bin/repoview", line 905, in <module>
    main()
  File "/usr/bin/repoview", line 902, in main
    Repoview(opts)
  File "/usr/bin/repoview", line 201, in __init__
    if self.has_changed(grp_filename, checksum):
  File "/usr/bin/repoview", line 592, in has_changed
    scursor.execute(query)
sqlite3.IntegrityError: column filename is not unique

http://koji.fedoraproject.org/mash/repoview-crash/rawhide-20070921/development/source/SRPMS/repoview/
 appears to be the failed run, the repodata content is in SRPMS/ itself.

Comment 1 Konstantin Ryabitsev 2007-09-21 14:14:03 UTC
How odd... I'll take a look.

Comment 2 Konstantin Ryabitsev 2007-09-27 15:47:55 UTC
Fixed in http://mricon.com/trac/changeset/374 and will be in the upcoming 0.6.1
shortly.

Comment 3 Orion Poplawski 2007-10-22 17:30:05 UTC
I still get this with 0.6.1-1.fc8:

Pungi.Pungi:INFO: Running /usr/bin/repoview --quiet --title Fedora development:
CoRA - i386 /export/development/CoRA/i386/os
Pungi.Pungi:ERROR: Got an error from /usr/bin/repoview
Pungi.Pungi:ERROR: Traceback (most recent call last):
  File "/usr/bin/repoview", line 918, in <module>
    main()
  File "/usr/bin/repoview", line 915, in main
    Repoview(opts)
  File "/usr/bin/repoview", line 201, in __init__
    if self.has_changed(grp_filename, checksum):
  File "/usr/bin/repoview", line 600, in has_changed
    scursor.execute(query)
sqlite3.IntegrityError: column filename is not unique


Comment 4 Jesse Keating 2007-10-22 18:13:58 UTC
Can you post your repo and configs somewhere?

I'm moving this off the Blocker list as it's no longer a blocker for F8.

Comment 5 Orion Poplawski 2007-10-22 19:32:40 UTC
The built tree is here: http://www.cora.nwra.com/~orion/fedora/os

Config is http://sw.cora.nwra.com/fedora/pungi/fdevel-cora.ks


Comment 6 Joe Christy 2007-12-30 18:30:18 UTC
I see this when trying to run repoview on a mirror of the F8 i386 and x86_64
Livna repos, mirrored from:
rsync://fedora.cat.pdx.edu/rpm.livna.org-fedora/

Comment 7 Konstantin Ryabitsev 2008-01-02 18:40:48 UTC
I really need primary.sqlite and other.sqlite in order to be able to
troubleshoot this. Can someone provide these?

Comment 8 Joe Christy 2008-01-11 17:43:46 UTC
Created attachment 291403 [details]
primary.sqlite.bz2 for my mirror of the Livna F8/i386 repo

Comment 9 Joe Christy 2008-01-11 17:45:00 UTC
Created attachment 291404 [details]
other.sqlite.bz2 for my mirror of the Livna F8/i386 repo

Comment 10 Konstantin Ryabitsev 2008-02-02 19:00:58 UTC
Should be fixed in upcoming 0.6.2. See upstream
https://fedorahosted.org/repoview/ticket/4.

Comment 11 Fedora Update System 2008-02-02 19:40:08 UTC
repoview-0.6.2-1.fc8 has been submitted as an update for Fedora 8

Comment 12 Fedora Update System 2008-02-19 03:15:42 UTC
repoview-0.6.2-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Trevin Beattie 2009-02-14 03:16:32 UTC
I've just encountered this bug when trying to create a repoview for the Fedora 10 "Everything" repository.  I downloaded all of the files from http://download.fedora.redhat.com/pub/fedora/linux/releases/10/Everything/i386/os/repodata/ and installed repoview-0.6.2-1.fc9.noarch.rpm from the same location.  When I run repoview, it gets most of the way through but after nine thousand packages I get the error:

Writing package php-pear-auth-sasl.html
Traceback (most recent call last):
  File "/usr/bin/repoview", line 926, in <module>
    main()
  File "/usr/bin/repoview", line 923, in main
    Repoview(opts)
  File "/usr/bin/repoview", line 191, in __init__
    packages = self.do_packages(repo_data, group_data, pkgnames)
  File "/usr/bin/repoview", line 554, in do_packages
    if self.has_changed(pkg_filename, checksum):
  File "/usr/bin/repoview", line 607, in has_changed
    scursor.execute(query)
sqlite3.IntegrityError: column filename is not unique

I was able to create a repoview for the base packages (http://download.fedora.redhat.com/pub/fedora/linux/releases/10/Fedora/i386/os/repodata/) without any errors.


Note You need to log in before you can comment on or make changes to this bug.